Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.pmapi.impl
Class TInstanceSummaryImpl

    java.lang.Object
      org.apache.xmlbeans.impl.values.XmlObjectBase
          org.apache.xmlbeans.impl.values.XmlComplexContentImpl
              org.apache.ode.bpel.pmapi.impl.TInstanceSummaryImpl

All Implemented Interfaces:
  java.io.Serializable, TInstanceSummary, org.apache.xmlbeans.impl.values.TypeStoreUser, org.apache.xmlbeans.SimpleValue, org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

    public class TInstanceSummaryImpl

extends org.apache.xmlbeans.impl.values.XmlComplexContentImpl
implements TInstanceSummary

An XML tInstanceSummary(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `TInstanceSummaryImpl.InstancesImpl` An XML instances(@http://www.apache.org/ode/pmapi/types/2006/08/02/).

Nested classes/interfaces inherited from interface org.apache.ode.bpel.pmapi.TInstanceSummary
`TInstanceSummary.Factory, TInstanceSummary.Instances`

Field Summary

Fields inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_voorVc, MAJOR_VERSION_NUMBER, MINOR_VERSION_NUMBER`

Fields inherited from interface org.apache.ode.bpel.pmapi.TInstanceSummary
`type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Constructor Summary
`TInstanceSummaryImpl(org.apache.xmlbeans.SchemaType sType)`

Method Summary
`TFailuresInfo` | `addNewFailures()` Appends and returns a new empty "failures" element
`TInstanceSummary.Instances` | `addNewInstances()` Appends and returns a new empty value (as xml) as the last "instances" element
`TFailuresInfo` | `getFailures()` Gets the "failures" element
`TInstanceSummary.Instances[]` | `getInstancesArray()` Gets array of all "instances" elements
`TInstanceSummary.Instances` | `getInstancesArray(int i)` Gets ith "instances" element
`java.util.List<TInstanceSummary.Instances>` | `getInstancesList()` Gets a List of "instances" elements
`TInstanceSummary.Instances` | `insertNewInstances(int i)` Inserts and returns a new empty value (as xml) as the ith "instances" element
`boolean` | `isSetFailures()` True if has "failures" element
`void` | `removeInstances(int i)` Removes the ith "instances" element
`void` | `setFailures(TFailuresInfo failures)` Sets the "failures" element
`void` | `setInstancesArray(int i, TInstanceSummary.Instances instances)` Sets ith "instances" element
`void` | `setInstancesArray(TInstanceSummary.Instances[] instancesArray)` Sets array of all "instances" element
`int` | `sizeOfInstancesArray()` Returns number of "instances" element
`void` | `unsetFailures()` Unsets the "failures" element

Methods inherited from class org.apache.xmlbeans.impl.values.XmlComplexContentImpl
`arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, arraySetterHelper, compute_text, equal_to, get_default_attribute_text, get_default_element_text, get_elementflags, is_child_element_order_sensitive, new_visitor, schemaType, set_nil, set_String, set_text, unionArraySetterHelper, unionArraySetterHelper, update_from_complex_content, value_hash_code`

Methods inherited from class org.apache.xmlbeans.impl.values.XmlObjectBase
`_isComplexContent, _isComplexType, _validateOnSet, attach_store, bigDecimalValue, bigIntegerValue, booleanValue, build_nil, build_text, byteArrayValue, byteValue, calendarValue, changeType, check_dated, check_orphaned, compare_to, compareTo, compareValue, copy, create_attribute_user, create_element_user, dateValue, disconnect_store, documentProperties, doubleValue, dump, elementFlags, enumValue, equals, execQuery, execQuery, floatValue, gDateValue, gDurationValue, get_attribute_field, get_attribute_type, get_attributeflags, get_default_attribute_value, get_element_ending_delimiters, get_element_type, get_schema_type, get_store, get_wscanon_rule, get_wscanon_text, getBigDecimalValue, getBigIntegerValue, getBooleanValue, getByteArrayValue, getByteValue, getCalendarValue, getDateValue, getDomNode, getDoubleValue, getEnumValue, getFloatValue, getGDateValue, getGDurationValue, getIntValue, getListValue, getLongValue, getObjectValue, getQNameValue, getShortValue, getStringValue, getXmlLocale, has_store, hashCode, init_flags, initComplexType, instanceType, intValue, invalidate_element_order, invalidate_nilvalue, invalidate_value, is_defaultable_ws, is_orphaned, isDefault, isDefaultable, isFixed, isImmutable, isInstanceOf, isNil, isNillable, java_value, listValue, longValue, monitor, newCursor, newCursorForce, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, objectSet, objectValue, qNameValue, save, save, save, save, save, save, save, save, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set_b64, set_BigDecimal, set_BigInteger, set_boolean, set_byte, set_ByteArray, set_Calendar, set_char, set_ComplexXml, set_Date, set_double, set_enum, set_float, set_GDate, set_GDuration, set_hex, set_int, set_list, set_long, set_newValue, set_notation, set_QName, set_short, set_xmlanysimple, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, set, setBigDecimalValue, setBigIntegerValue, setBooleanValue, setByteArrayValue, setByteValue, setCalendarValue, setDateValue, setDoubleValue, setEnumValue, setFloatValue, setGDateValue, setGDurationValue, setImmutable, setIntValue, setListValue, setLongValue, setNil, setObjectValue, setQNameValue, setShortValue, setStringValue, setValidateOnSet, shortValue, stringValue, substitute, toString, uses_invalidate_value, validate_now, validate_simpleval, validate, validate, valueEquals, valueHashCode, writeReplace, xgetListValue, xlistValue, xmlText, xmlText`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Constructor Detail

### TInstanceSummaryImpl

    public TInstanceSummaryImpl(org.apache.xmlbeans.SchemaType sType)

Method Detail

### getInstancesList

    public java.util.List<TInstanceSummary.Instances> getInstancesList()

  Gets a List of "instances" elements

  Specified by:
    `getInstancesList` in interface `TInstanceSummary`

### getInstancesArray

    public TInstanceSummary.Instances[] getInstancesArray()

  Gets array of all "instances" elements

  Specified by:
    `getInstancesArray` in interface `TInstanceSummary`

### getInstancesArray

    public TInstanceSummary.Instances getInstancesArray(int i)

  Gets ith "instances" element

  Specified by:
    `getInstancesArray` in interface `TInstanceSummary`

### sizeOfInstancesArray

    public int sizeOfInstancesArray()

  Returns number of "instances" element

  Specified by:
    `sizeOfInstancesArray` in interface `TInstanceSummary`

### setInstancesArray

    public void setInstancesArray(TInstanceSummary.Instances[] instancesArray)

  Sets array of all "instances" element

  Specified by:
    `setInstancesArray` in interface `TInstanceSummary`

### setInstancesArray

    public void setInstancesArray(int i,
                                  TInstanceSummary.Instances instances)

  Sets ith "instances" element

  Specified by:
    `setInstancesArray` in interface `TInstanceSummary`

### insertNewInstances

    public TInstanceSummary.Instances insertNewInstances(int i)

  Inserts and returns a new empty value (as xml) as the ith "instances" element

  Specified by:
    `insertNewInstances` in interface `TInstanceSummary`

### addNewInstances

    public TInstanceSummary.Instances addNewInstances()

  Appends and returns a new empty value (as xml) as the last "instances" element

  Specified by:
    `addNewInstances` in interface `TInstanceSummary`

### removeInstances

    public void removeInstances(int i)

  Removes the ith "instances" element

  Specified by:
    `removeInstances` in interface `TInstanceSummary`

### getFailures

    public TFailuresInfo getFailures()

  Gets the "failures" element

  Specified by:
    `getFailures` in interface `TInstanceSummary`

### isSetFailures

    public boolean isSetFailures()

  True if has "failures" element

  Specified by:
    `isSetFailures` in interface `TInstanceSummary`

### setFailures

    public void setFailures(TFailuresInfo failures)

  Sets the "failures" element

  Specified by:
    `setFailures` in interface `TInstanceSummary`

### addNewFailures

    public TFailuresInfo addNewFailures()

  Appends and returns a new empty "failures" element

  Specified by:
    `addNewFailures` in interface `TInstanceSummary`

### unsetFailures

    public void unsetFailures()

  Unsets the "failures" element

  Specified by:
    `unsetFailures` in interface `TInstanceSummary`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD